---
title: "Get List of Joined Channels"
slug: "get-list-of-joined-channels"
updated: 2026-06-08T12:46:40Z
published: 2026-06-08T12:46:40Z
stale: true
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Get List of Joined Channels

Get/api/v1/channels.list.joined

Lists all the channels the authenticated user has joined.

### Changelog

| Version | Description |
| --- | --- |
| 0.62.0 | Add `query` parameter support. |
| 0.49.0 | Count and offset query parameters supported. |
| 0.48.0 | Added |

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Query parametersoffsetinteger

Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
countinteger

The number of items to return. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

Example50
sort

List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, {"value": -1, "_id": 1}. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#pagination) to learn more.

query

This parameter allows you to use MongoDB query operators to search for specific data. For example, to query users with a name that contains the letter "g": `query={ &quot;name&quot;: { &quot;$regex&quot;: &quot;g&quot; } }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

fieldsstring

This parameter accepts a JSON object with properties that have a value of 1 or 0 to include or exclude them in the response. For example, to only retrieve the usernames of users: `fields={ &quot;username&quot;: 1 }`. Refer to the [official documentation](https://developer.rocket.chat/apidocs/query-parameters#query-and-fields) to learn more.

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='da4c06ae-9515-4d39-af5f-c71663b19a3f'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='8c5c8c45-9c4c-4191-9cd6-5b0d05077298'>Example</option>
</select>Example

```json
{
  "channels": [
    {
      "_id": "ByehQjC44FwMeiLbX",
      "name": "invite-me",
      "t": "c",
      "usernames": [
        "testing1"
      ],
      "msgs": 0,
      "u": {
        "_id": "aobEdbYhXfu5hkeqG",
        "username": "testing1"
      },
      "ts": "2016-12-09T15:08:58.042Z",
      "ro": false,
      "sysMes": true,
      "_updatedAt": "2016-12-09T15:22:40.656Z"
    }
  ],
  "success": true
}
```

Expand Allobject  channels Array of object   object  _idstring    
fnamestring    
customFieldsobject  
descriptionstring    
broadcastboolean    
encryptedboolean    
federatedboolean    
namestring    
tstring    
msgsinteger    
usersCountinteger    
uobject  _idstring    
usernamestring    

tsstring    
roboolean    
defaultboolean    
sysMesboolean    
_updatedAtstring    
lmstring    
lastMessageobject  _idstring    
tstring    
msgstring    
groupableboolean    
blocks Array of object   object  typestring    
blockIdstring    
callIdstring    
appIdstring    

tsstring    
uobject  _idstring    
usernamestring    
namestring    

ridstring    
_updatedAtstring    
urls Array of object   object  
mentions Array of object   object  
channels Array of object   object  
md Array of object   object  typestring    
value Array of object   object  typestring    
valuestring    

topicstring    
muted Array of object   object  
unmuted Array of string   string    

offsetinteger    
countinteger    
totalinteger    
successboolean    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='c16bc68a-12e5-483f-9f44-11054b670ee4'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='29b76bb5-fe3b-44db-aa03-450d5edc18b4'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
